<div class="card" [ngClass]="{ 'station-closed': !station.isOpen, 'card-favorit': type === cardType.FAVORIT }">
  <div class="card-header" fxLayout="row" fxLayoutAlign="center center">
    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center center">
      <h4 class="station-name" matTooltip="{{ 'COMPONENTS.CARD.NAME' | translate }}: {{ station.name }}">{{ station.brand | ReplaceEmpty: 'Unbekannt' }}</h4>
      <small class="station-distance" [ngClass]="getStationNearClass(station.dist)" matTooltip="{{ 'COMPONENTS.TANKDATEN.' + getStationNearTooltip(station.dist) | translate }}"
        >{{ station.dist }} km</small
      >
    </div>
  </div>
  <div class="card-header-divider" [ngClass]="headerClassByBrand(station)"></div>
  <div class="card-body" fxLayout="row" fxLayoutAlign="space-between start">
    <div
      [ngClass]="{ 'text-green text-bold': station.id === stationService.minE5_Id, 'text-red text-bold': station.id === stationService.maxE5_Id }"
      fxLayout="column"
      fxLayoutAlign="start center"
      fxLayoutGap="10px"
    >
      <small class="fueltype">Super</small> <span [innerHTML]="commonService.getLastCharSup(e5Data?.price)"></span>
    </div>
    <div
      [ngClass]="{ 'text-green text-bold': station.id === stationService.minE10_Id, 'text-red text-bold': station.id === stationService.maxE10_Id }"
      fxLayout="column"
      fxLayoutAlign="start center"
      fxLayoutGap="10px"
    >
      <small class="fueltype">Super E10</small> <span [innerHTML]="commonService.getLastCharSup(e10Data?.price)"></span>
    </div>
    <div
      [ngClass]="{ 'text-green text-bold': station.id === stationService.minDiesel_Id, 'text-red text-bold': station.id === stationService.maxDiesel_Id }"
      fxLayout="column"
      fxLayoutAlign="start center"
      fxLayoutGap="10px"
    >
      <small class="fueltype">Diesel</small> <span [innerHTML]="commonService.getLastCharSup(dieselData?.price)"></span>
    </div>
  </div>
  <mat-divider></mat-divider>
  <div class="card-footer">
    <div fxLayout="row" fxLayoutAlign="center center">
      <button mat-icon-button color="primary" (click)="loadDetails()" type="button" matTooltip="{{ 'COMPONENTS.CARD.SHOWDETAILS' | translate }}"><mat-icon>info</mat-icon></button>
      <div class="spacer"></div>

      <button mat-icon-button *ngIf="type === cardType.STANDARD" matTooltip="{{ 'COMPONENTS.CARD.' + getFavoritText(station) | translate }}" (click)="setFavorite(station)" type="button">
        <mat-icon class="card-star" [ngClass]="getFavoriteStarColor(station)">star</mat-icon>
      </button>

      <button mat-icon-button *ngIf="type === cardType.FAVORIT" color="warn" (click)="deleteFromFavorites(station)" matTooltip="{{ 'COMPONENTS.CARD.REMOVEFAV' | translate }}">
        <mat-icon>close</mat-icon>
      </button>
    </div>
  </div>
</div>
